Subject: Re: [net-next PATCH] net: netlink messages for HW addr programming

From: Patrick Ruddy <[email-masked]>
Date: Mon, 19 Sep 2016 14:46:19 +0000

On Sun, 2016-09-18 at 07:51 -0700, Roopa Prabhu wrote:
> On 9/15/16, 9:48 AM, Patrick Ruddy wrote:
> > Add RTM_NEWADDR and RTM_DELADDR netlink messages with family
> > AF_UNSPEC to indicate interest in specific unicast and multicast
> > hardware addresses. These messages are sent when addresses are
> > added or deleted from the appropriate interface driver.
> > Added AF_UNSPEC GETADDR function to allow the netlink notifications
> > to be replayed to avoid loss of state due to application start
> > ordering or restart.
> >
> > Signed-off-by: Patrick Ruddy <[email-masked]>
> > ---
> 
> RTM_NEWADDR and RTM_DELADDR are not used to add these entries to the kernel.
> so, it seems a bit wrong to use RTM_NEWADDR and RTM_DELADDR to notify them to
> userspace and also to request a special dump of these addresses.
> 
> This could just be a new nested netlink attribute in the existing link dump ?

Hi Roopa

Thanks for the review. I did initially code this using NEW/DEL/GET_LINK
messages but was asked to change to to ADDR messages by Stephen
Hemminger (cc'd). 

However I agree that these addresses fall between the LINK and ADDR
areas so I'm happy to change this if we can reach some consensus on the
format.

thanks

-pr